;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: CAN.inc
;;   Version: 1.50, Updated on 2014/7/14 at 8:11:19
;;
;;  DESCRIPTION: Assembler declarations for the Delta-Sigma A/D Converter
;;               with a 2nd-order modulator and based on a type 2 decimator.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2014. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"

;--------------------------------------------------
; Constants for CAN API's.
;--------------------------------------------------

CAN_INT_REG:                       equ  0e1h
CAN_INT_MASK:                      equ  01h     ; Interrupt mask

CAN_OFF:                           equ  0
CAN_LOWPOWER:                      equ  1
CAN_MEDPOWER:                      equ  2
CAN_HIGHPOWER:                     equ  3

CAN_DATA_READY_BIT:                equ  10h
CAN_2S_COMPLEMENT:                 equ  0

;--------------------------------------------------
; Register Address Constants for CAN
;--------------------------------------------------

CAN_PWM_DR0:                       equ 0x20    ; Period reg
CAN_PWM_DR1:                       equ 0x21    ; Down count reg
CAN_PWM_DR2:                       equ 0x22    ; Compare reg
CAN_PWM_CR0:                       equ 0x23    ; Control reg
CAN_PWM_FN:                        equ 0x20        ; Function reg
CAN_PWM_SL:                        equ 0x21        ; Input  select reg
CAN_PWM_OS:                        equ 0x22        ; Output select reg

CAN_AtoD1cr0:                      equ 0x80    ; SC Block 1 Control Reg 0
CAN_AtoD1cr1:                      equ 0x81    ; SC Block 1 Control Reg 1
CAN_AtoD1cr2:                      equ 0x82    ; SC Block 1 Control Reg 2
CAN_AtoD1cr3:                      equ 0x83    ; SC Block 1 Control Reg 3
CAN_AtoD2cr0:                      equ 0x90    ; SC Block 2 Control Reg 0
CAN_AtoD2cr1:                      equ 0x91    ; SC Block 2 Control Reg 1
CAN_AtoD2cr2:                      equ 0x92    ; SC Block 2 Control Reg 2
CAN_AtoD2cr3:                      equ 0x93    ; SC Block 2 Control Reg 3


; end of file CAN.inc
